qpid::console::Object Class Reference

Apache Qpid - AMQP Messaging for Java JMS, C++, Python, Ruby, and .NET | Apache Qpid Documentation

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions
qpid::console::Object Class Reference

`#include <qpid/console/Object.h>`

List of all members.

## Classes
struct | AttributeMap
## Public Types
typedef std::vector< Object > | Vector
## Public Member Functions
| Object (Broker *broker, SchemaClass *schemaClass, framing::Buffer &buffer, bool prop, bool stat)
| ~Object ()
Broker * | getBroker () const
const ObjectId & | getObjectId () const
const ClassKey & | getClassKey () const
SchemaClass * | getSchema () const
uint64_t | getCurrentTime () const
uint64_t | getCreateTime () const
uint64_t | getDeleteTime () const
bool | isDeleted () const
std::string | getIndex () const
void | mergeUpdate (const Object &updated)
const AttributeMap & | getAttributes () const
void | invokeMethod (const std::string name, const AttributeMap &args, MethodResponse &result)
void | handleMethodResp (framing::Buffer &buffer, uint32_t sequence)
ObjectId | attrRef (const std::string &key) const
uint32_t | attrUint (const std::string &key) const
int32_t | attrInt (const std::string &key) const
uint64_t | attrUint64 (const std::string &key) const
int64_t | attrInt64 (const std::string &key) const
std::string | attrString (const std::string &key) const
bool | attrBool (const std::string &key) const
float | attrFloat (const std::string &key) const
double | attrDouble (const std::string &key) const
framing::Uuid | attrUuid (const std::string &key) const
framing::FieldTable | attrMap (const std::string &key) const

## Member Typedef Documentation

typedef std::vector<Object> qpid::console::Object::Vector

Definition at line 57 of file Object.h.

## Constructor & Destructor Documentation

qpid::console::Object::Object | ( | Broker * | broker,
|  | SchemaClass * | schemaClass,
|  | framing::Buffer & | buffer,
|  | bool | prop,
|  | bool | stat
| ) |  |

qpid::console::Object::~Object | ( |  | ) |

## Member Function Documentation

bool qpid::console::Object::attrBool | ( | const std::string & | key | ) | const

double qpid::console::Object::attrDouble | ( | const std::string & | key | ) | const

float qpid::console::Object::attrFloat | ( | const std::string & | key | ) | const

int32_t qpid::console::Object::attrInt | ( | const std::string & | key | ) | const

int64_t qpid::console::Object::attrInt64 | ( | const std::string & | key | ) | const

framing::FieldTable qpid::console::Object::attrMap | ( | const std::string & | key | ) | const

ObjectId qpid::console::Object::attrRef | ( | const std::string & | key | ) | const

std::string qpid::console::Object::attrString | ( | const std::string & | key | ) | const

uint32_t qpid::console::Object::attrUint | ( | const std::string & | key | ) | const

uint64_t qpid::console::Object::attrUint64 | ( | const std::string & | key | ) | const

framing::Uuid qpid::console::Object::attrUuid | ( | const std::string & | key | ) | const

const AttributeMap& qpid::console::Object::getAttributes | ( |  | ) | const`[inline]`

Definition at line 85 of file Object.h.

Broker* qpid::console::Object::getBroker | ( |  | ) | const`[inline]`

Definition at line 75 of file Object.h.

const ClassKey& qpid::console::Object::getClassKey | ( |  | ) | const

uint64_t qpid::console::Object::getCreateTime | ( |  | ) | const`[inline]`

Definition at line 80 of file Object.h.

uint64_t qpid::console::Object::getCurrentTime | ( |  | ) | const`[inline]`

Definition at line 79 of file Object.h.

uint64_t qpid::console::Object::getDeleteTime | ( |  | ) | const`[inline]`

Definition at line 81 of file Object.h.

std::string qpid::console::Object::getIndex | ( |  | ) | const

const ObjectId& qpid::console::Object::getObjectId | ( |  | ) | const`[inline]`

Definition at line 76 of file Object.h.

SchemaClass* qpid::console::Object::getSchema | ( |  | ) | const`[inline]`

Definition at line 78 of file Object.h.

void qpid::console::Object::handleMethodResp | ( | framing::Buffer & | buffer,
|  | uint32_t | sequence
| ) |  |

void qpid::console::Object::invokeMethod | ( | const std::string | name,
|  | const AttributeMap & | args,
|  | MethodResponse & | result
| ) |  |

bool qpid::console::Object::isDeleted | ( |  | ) | const`[inline]`

Definition at line 82 of file Object.h.

void qpid::console::Object::mergeUpdate | ( | const Object & | updated | ) |

The documentation for this class was generated from the following file:

- qpid/console/Object.h